#include <stdio.h>
#include <stdlib.h>

#define NMAX 1000
#define LENMAX 100

int a[NMAX];
char s[LENMAX+1];

int main(int argc, char * arg[]) {
	int n,rn,len,mtab,sr;	

	if (argc<=5) return 0;

    sscanf(arg[1],"%d",&n);	
    sscanf(arg[2],"%d",&rn);	
    sscanf(arg[3],"%d",&len);	
    sscanf(arg[4],"%d",&mtab);	
    sscanf(arg[5],"%d",&sr);

    if (mtab>100) mtab = 100;
    if (len>100) len = 100;

    srand(sr);

    int i,j;

	for (i=0;i<rn;i++) a[i] = 1;
	for (i=rn;i<n;i++) a[i] = 0;


	// no shuffle
	/*
	for (i=1;i<n;i++) {
		j = rand()%(n-1)+1;
        a[i] += a[j];
        a[j] = a[i] - a[j];
        a[i] = a[i] - a[j];		
	}
    */

	printf("%d\n",n);
	int k;
	for (i=0;i<n;i++) {
		if (a[i]) {
			for (j=0;j<len;j++) {
				k = rand()%90;
				if (k<26) s[j] = 'a'+rand()%26;
				else if (k<54) s[j] = 'A'+rand()%26;
                else if (k<64) s[j] = '0'+rand()%10;
                else if (j != 0) s[j] = ' ';
                else s[j] = 'a';
			}
			s[len] = 0;
            printf("Run %s\n",s);
		} else {
			k = rand()%mtab+1;
			printf("Alt");
			for (j=0;j<k;j++) printf("+Tab");
			printf("\n");
		}
	}

	for (i=0;i<n;i++) 

	return 0;
}

